mailtagger für 3.0 anpassen [erledigt]

  • Hallo Peter,


    da Addons Open Source sind, kann sich jeder daran versuchen, sie zu verändern oder weiterzuentwickeln, wenn z.B. der ursprüngliche Autor das nicht mehr kann oder will.
    Also hat er einige Änderungen am Programmcode vorgenommen.
    2. und 3. sind klar, er hat einen Dateinamen einer Grafik geändert, der Sonderzeichen enthielt, was zu Problemen führte, und er hat offenbar die Kompatibilität mit Thundebird 3.0* hergestellt.
    Ja, und 1. war halt eine Programmänderung im Zusammenhang mit DOM
    Ich weiß nicht, ob du das wirklich wissen wolltest und verstehst - an der Funktionsweise hat sich offenbar nichts geändert, es ging um reine Fehlerbehebung und Anpassung an die aktuelle Thunderbird-Version.


    HTH, muzel

  • @ muzel -> Danke für die Antwort!
    Mein Anliegen ist, mailtagger 1.7 für TB 3.01 anzupassen. Ausgehend von dem geposteten Beitrag:


    1.
    Eine "integration.js" finde ich nicht im Profil. Wo ist sie + welche beiden Zeilen müßte ich wie bzw. in was tauschen ?


    2.
    In Ordner Extensions -> [xyz...] -> library -> actions, characters + moods, wo sich die "included smileys" befinden, gibt es keinen mit dem Namen "bubusmiley.gif". Kann ich anstattdessen einen anderen Smiley nehmen. Und was muß ich mit ihm tun?


    3.
    Worin bestehen die "common changes" - also wohl allg. Änderungen - in der install.rtf ?


    Oder ist das alles viel zu kompliziert ?
    Es wäre schade, wenn ich die bunten Dinger künftig nicht mehr einbauen könnte.

  • Ach so. Sag doch gleich, was du genau willst.
    Zum einen gibt's doch dort einen Link zu einer (angeblich, hab's nicht probiert) funktionierenden Version:
    http://www.filefactory.com/fil…n/mailtagger-1.7.1-tb.xpi
    Und falls du doch selbst Hand anlegen willst, mußt du das Addon erstmal auspacken. Die xpi-Datei ist in Wirklichkeit eine zip-Datei, darin befinden sich wiederum jar-Dateien, die man ebenfalls entpacken kann. Dort findest du die gesuchten Dateien, die du anpassen kannst, dann wieder alles zusammenpacken und installieren - ganz einfach. ;)
    In der install.rdf muß man die maxVersion="...." finden und anpassen.
    Aber wenn ich das richtig verstanden habe, ist das alles im oben verlinkten Addon schon passiert.
    Gruß, muzel

  • Bie filefactory.com, wo ich mich eingeloggt habe + die mail zum Account freischalten nicht gekommen ist, muß man wohl files zum Tausch anbieten, oder so ...
    Ich versuche es die Tage mal nach Deiner Anleitung + melde mich dann wieder.
    Erstmal besten Dank!

  • Also der Download funktioniert, ohne anmelden oder sowas.
    Auf der Seite runterscrollen, dort ist ein Download-Button, dann kommt neue seite, dort wird ca 30 sekunden runtergezählt, danach wählst du die "normale" Download art und, schwupps, hast du es.
    Getestet allerdings noch nicht, ob das AddOn auch funktioniert.


    EDIT: funktioniert!!!! noch nicht so ganz durchgetestet, aber geht.
    Nach dem Install musst du unter AddOns erstmal in die Einstellungen, sonst siehst noch nichts.
    Das anlegen war problematisch von einem Icon-Ordner. Mit Browse ging es nicht. Hab dann von Hand einen Pfad angegeben.

  • @ Hottebird
    Danke für Deine Hinweise. Ich hatte bisher wohl die 30 Sek. nicht abgewartet, nämlich nicht bemerkt, daß sie runterzählen :redface: . Jetzt habe ich die Version auch + bei der Installation sind sogar die bisherigen Einstellungen + Smilies übernommen worden.

  • Na freut mich für dich.
    Die Probleme bei mir kamen dadurch, das in meinem Profil wohl noch URALT-Pfade standen.
    Nach Säuberung von Altlasten läuft es bei mir nun auch rund.

  • Noch ne kleine Anmerkung zur neuen Version.
    Sie macht im "Verfassen-Fenster" Darstellungsfehler mit dem Theme silvermel und charamel.
    Nicht sooo schlimm, aber halt auch nicht soooo schön.